OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepBasic

# StepBasic_DocumentType Class Reference

`#include <StepBasic_DocumentType.hxx>`

## Public Member Functions
Standard_EXPORT | StepBasic_DocumentType ()
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&apdt)
Standard_EXPORT Handle_TCollection_HAsciiString | ProductDataType () const
Standard_EXPORT void | SetProductDataType (const Handle(TCollection_HAsciiString)&apdt)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_TCollection_HAsciiString | thepdt

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_DocumentType::StepBasic_DocumentType | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepBasic_DocumentType::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepBasic_DocumentType::Init | ( | const Handle(TCollection_HAsciiString)& | apdt | ) |

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_DocumentType::ProductDataType | ( |  | ) | const

Standard_EXPORT void StepBasic_DocumentType::SetProductDataType | ( | const Handle(TCollection_HAsciiString)& | apdt | ) |

## Field Documentation

Handle_TCollection_HAsciiString StepBasic_DocumentType::thepdt`[private]`

The documentation for this class was generated from the following file:

- StepBasic_DocumentType.hxx